parameters:
    rebrickable_api_key: '%env(REBRICKABLE_API_KEY)%'
    uploads_dir: '%kernel.project_dir%/public/uploads'

services:
    _defaults:
        autowire: true
        autoconfigure: true

    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    App\Controller\RebrickableController:
        arguments:
            $apiKey: '%rebrickable_api_key%'
        tags: ['controller.service_arguments']

    App\Service\ImageDownloaderService:
        arguments:
            $uploadsDir: '%uploads_dir%'
